Set a customer-level Entrata API key
PUT
https://api.propexo.com/v1/admin/license-keys/entrataSet the customer-level Entrata API key shared across Entrata integrations that do not have their own API key.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
api_keystringrequired
The customer-level Entrata API key shared across Entrata integrations that do not have their own key.
Possible values: non-empty
expires_atstringrequired
The date the API key expires, in YYYY-MM-DD format. Must be today or later (UTC).
Possible values: non-empty
Response
Successful response
results objectrequired
systemstringrequired
The environment stored with this customer-level API key.
Show 2 enum values
PRODUCTIONSANDBOXexpires_atstringrequired
The expiration date of the API key, in YYYY-MM-DD format.
api_key_maskedstringrequired
The API key with all but the last four characters masked.
statusstringrequired
Whether the saved API key is valid, expiring soon, expired, or not set.
Show 4 enum values
VALIDEXPIRING_SOONEXPIREDNOT_SETErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/admin/license-keys/entrata
curl -X PUT https://api.propexo.com/v1/admin/license-keys/entrata \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"api_key": "string",
"expires_at": "string"
}'
200 Successful response
{
"results": {
"system": "PRODUCTION",
"expires_at": "string",
"api_key_masked": "string",
"status": "VALID"
}
}